import request from '@/utils/request'

// 查询平台建设奖补列表
export function listPlatformConstructionAward(query) {
  return request({
    url: '/system/platformConstructionAward/list',
    method: 'get',
    params: query
  })
}

// 查询平台建设奖补详细
export function getPlatformConstructionAward(id) {
  return request({
    url: '/system/platformConstructionAward/' + id,
    method: 'get'
  })
}

// 新增平台建设奖补
export function addPlatformConstructionAward(data) {
  return request({
    url: '/system/platformConstructionAward',
    method: 'post',
    data: data
  })
}

// 修改平台建设奖补
export function updatePlatformConstructionAward(data) {
  return request({
    url: '/system/platformConstructionAward',
    method: 'put',
    data: data
  })
}

// 删除平台建设奖补
export function delPlatformConstructionAward(id) {
  return request({
    url: '/system/platformConstructionAward/' + id,
    method: 'delete'
  })
}
